Bug 231257 - Desktop manager fills only 3/4 of nv screen - dual display
Desktop manager fills only 3/4 of nv screen - dual display
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Depends On:
  Show dependency treegraph
Reported: 2007-03-06 21:18 EST by Jim Cornette
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-04-25 13:54:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
KDE snapshot showing problem (108.02 KB, image/jpeg)
2007-03-06 21:18 EST, Jim Cornette
no flags Details
xorg.conf file - X -configure generated (5.23 KB, text/plain)
2007-03-06 21:26 EST, Jim Cornette
no flags Details
Log of current session. Currently running GNOME (79.40 KB, text/plain)
2007-03-06 21:28 EST, Jim Cornette
no flags Details
what was upgraded on the 6th applies to the problem encountered (3.71 KB, text/plain)
2007-03-06 21:33 EST, Jim Cornette
no flags Details
xdpyinfo -ext XINERAMA (9.25 KB, text/plain)
2007-03-07 11:43 EST, Jim Cornette
no flags Details
Cropped area on second screen. (627.72 KB, image/png)
2007-04-03 10:36 EDT, George Billios
no flags Details
Xinerama info from me (60.10 KB, application/octet-stream)
2007-04-03 10:42 EDT, George Billios
no flags Details

  None (edit)
Description Jim Cornette 2007-03-06 21:18:04 EST
Description of problem:

After applying todays updates and starting up computer from cold boot, both KDE
and GNOME only cover 3/4 of the screen. Both desktops cover the area from the
top to about 3/4 the way down toward the right bottom corner. Both the
horizontal and vertical aspects seem to be 3/4 the way down.

Version-Release number of selected component (if applicable):

How reproducible:

Apply updates and then restart computer.

Steps to Reproduce:
1. log in
2. notice desktop will not expand with panels or applications
3. check KDE to see if problem unique with GNOME
Actual results:

Screen is only partially filling screen area. background does fill entire screen

Expected results:

Desktops should cover all real estate.

Additional info:

I have an ati set for 800x600 for the primary card on an LCD monitor. For the
secondary card, a nvidia using the nv driver is where the problem occurs. The
resolution is set higher for the nv screen. (above 1024x768 @ 75hz)
Comment 1 Jim Cornette 2007-03-06 21:18:04 EST
Created attachment 149418 [details]
KDE snapshot showing problem
Comment 2 Jim Cornette 2007-03-06 21:26:24 EST
Created attachment 149419 [details]
xorg.conf file - X -configure generated

This worked fine before the upgrade and system restart.
Comment 3 Jim Cornette 2007-03-06 21:28:16 EST
Created attachment 149420 [details]
Log of current session. Currently running GNOME
Comment 4 Jim Cornette 2007-03-06 21:33:25 EST
Created attachment 149421 [details]
what was upgraded on the 6th applies to the problem encountered
Comment 5 Adam Jackson 2007-03-07 09:47:04 EST
No you don't.  The log shows you have a Matrox card and an nVidia card, no ATI here.

It looks like what's happening is the Xinerama geometry from the smaller head is
being propagated to both heads.  This was probably introduced with the new RANDR
code.  Can you attach the output from running "xdpyinfo -ext XINERAMA" please?
Comment 6 Jim Cornette 2007-03-07 11:43:15 EST
Created attachment 149463 [details]
xdpyinfo -ext XINERAMA

You are right about the MGA instead of ATI. The logs are more reliable than the

Attached is the output that you requested in an attachment.
Comment 7 Jim Cornette 2007-03-07 13:58:17 EST
Adding comment to toggle field to assigned. The attachment did not toggle the field.
Comment 8 Adam Jackson 2007-03-08 11:04:38 EST
Yeah, this one looks straightforward.

The issue is that you're reporting Xinerama geometry information now even though
you shouldn't be.  The smaller head's geometry is being reported (for some
reason), and therefore the layout code constrains you to the smaller head size.

Looking into it...
Comment 9 Jim Cornette 2007-03-08 18:01:05 EST
Thanks for the explanation and investigation.

As an added note: If I unmaximize the applications, I can stretch out the
applications to a usable state. The lower panel still stays visible and hides a
portion of the application but not a great nuisance.
Comment 10 George Billios 2007-04-03 10:36:35 EDT
Created attachment 151568 [details]
Cropped area on second screen.
Comment 11 George Billios 2007-04-03 10:38:14 EDT
Also have the same problem after upgrading to FC7 test 3 from FC6. Check
screenshot, using nvidia binary drivers.


Both screens are on a NVidia GT6600 PCI-X card.
Comment 12 George Billios 2007-04-03 10:42:21 EDT
Created attachment 151569 [details]
Xinerama info from me
Comment 13 Jim Cornette 2007-04-03 17:19:24 EDT
Just commenting that the second screen for me still has the problem. I can
unmaximize an application and stretch it to fill the entire screen area.
Otherwise the application is only approx 3/4 of screen area.
This happens with the vesa driver also, in addition to the nv driver.
Comment 14 George Billios 2007-04-16 02:19:36 EDT

Anything new about this bug? It is a stopper for me and for other people since
our second screen is crippled. 

Comment 15 George Billios 2007-04-19 02:55:13 EDT
I tried to find if a similar bug has been filled upwards to xorg bugzilla but
couldn't find anything like this.

I would like to escalate this bug there, more suitable I believe, can you please
point what is the best classification? eg. xorg -> Other ? 

Comment 16 Jim Cornette 2007-04-19 07:19:36 EDT
comment 5 refers to run "xdpyinfo -ext XINERAMA" and explains the possible
problem cause.

xinerama most likely has something to do with the problem.

I have libXinerama-1.0.2-1.fc7 installed presently.

Adam, do you have any ideas how to resolve this problem upstream or at the
distribution level?
Comment 17 Jim Cornette 2007-04-19 19:38:26 EDT
Forget about libXinerama. I just downgraded libXinerama and had the same 3/4
screen. It must be X server itself.

When FC7 gets released, more people will be effected by this introduced error.
Comment 18 Adam Jackson 2007-04-25 13:54:09 EDT
Added a patch to xorg-x11-server that should resolve this.  Please
test, and reopen if this still happens.

Comment 19 Jim Cornette 2007-04-25 17:19:03 EDT
Where would xorg-x11-server-Xorg be available? I have only
xorg-x11-server-Xorg- available.
Comment 20 George Billios 2007-04-26 02:39:54 EDT
I just built a xorg-x11-server-Xorg- package with this patch and it
works fine :))))

Thanks for the patch mate.
Comment 21 Adam Jackson 2007-04-26 10:32:26 EDT
Gah, silly test4 freeze.  Should be out in the next day or so.
Comment 22 Jim Cornette 2007-04-26 18:36:06 EDT
Thanks! This has to work for the FC7 release (desirably). I'll wait the  few
days for the update.
Comment 23 Jim Cornette 2007-05-01 07:16:45 EDT
I just installed the xorg-x11-server-Xorg- update and it works as
advertised. Thanks for the effort put into fixing this problem.

Note You need to log in before you can comment on or make changes to this bug.